Summary:        pytest plugin to test server connections locally
Name:           python-pytest-localserver
Version:        0.8.1
Release:    1%{?dist}

License:        MIT
URL:            https://github.com/pytest-dev/pytest-localserver
Source0:        %{pypi_source pytest-localserver}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
pytest-localserver is a plugin for the pytest testing framework which enables
you to test server connections locally.}

%description %_description

%package -n python3-pytest-localserver
Summary:        %{summary}

%description -n python3-pytest-localserver %_description

%package -n python3-pytest-localserver+smtp
Summary: Subpackage for python3-pytest-localserver with extra smtp dependencies
Requires: python3-pytest-localserver

%description -n python3-pytest-localserver+smtp
This is the subpackage for python3-pytest-localserver with extra smtp dependencies.

%files -n python3-pytest-localserver+smtp -f %{_pyproject_ghost_distinfo}



%prep
%autosetup -p1 -n pytest-localserver-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pytest_localserver


%check
%tox


%files -n python3-pytest-localserver -f %{pyproject_files}
%doc README.rst CHANGES
%license LICENSE

%changelog
* Wed Jul 17 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-1
- initial build
